/****************************************************************************
 * rt2400 Linux Driver
 * http://rt2400.sourceforge.net
 * Refer to the LICENSE file for code license
 *
 * Parts of this source were from original RaLink drivers.
 ****************************************************************************

	Module Name:
	qhexvalidator.h

	Abstract:
	Implement hex validator for WEP security.

	Revision History:
	Who		When		  What
	--------	----------	  ----------------------------------
	Paul Wu		01-22-2003	  created
	MarkW		09-02-2004	  Baseline of code

*/

#ifndef __QHEXVALIDATOR_H
#define __QHEXVALIDATOR_H

#include <qvalidator.h>

class QHexValidator : public QValidator {

  public:
    QHexValidator ( QWidget * parent, const char * name = 0 );
    virtual ~QHexValidator ();
    virtual State validate ( QString &, int & ) const;
};


#endif

